Syndai Docs

Get an app's API access

Use a key with only read scopes. Your customer_id is in the reply to Get the calling API key.

GET
/api/v1/external/coding/customers/{customer_id}/repositories/{coding_repository_id}/publication/data/api

The app's API (SPEC-app-data-tier S7): its base_url, the live openapi_url (/api/openapi.json, from the app's /api modules) and its keys, newest first: label, who each acts as, whether other sites' pages may use it, when it was made and last used. A key itself is shown only when made. Needs coding:apps:publish.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

customer_id*string
Formatuuid
coding_repository_id*string
Formatuuid

Response Body

Request fulfilled, document follows

application/json
  1. response
base_url*string
keys*array<>
openapi_url*string
Example Request
curl -X GET 'https://api.syndai.ai/api/v1/external/coding/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/publication/data/api'
Example Response
{  "base_url": "string",  "keys": [    {      "acts_as": "string",      "browser": true,      "created_at": "string",      "id": "string",      "label": "string",      "last_used_at": "string",      "member_id": "string"    }  ],  "openapi_url": "string"}
Was this page helpful?